#!/bin/bash

case $1 in
  start)
    echo starting REPLACEFOSHKPLUGINSERVICE
    sudo systemctl start REPLACEFOSHKPLUGINSERVICE
    sudo systemctl enable REPLACEFOSHKPLUGINSERVICE
    ;;
  stop)
    echo stopping REPLACEFOSHKPLUGINSERVICE
    sudo systemctl stop REPLACEFOSHKPLUGINSERVICE
    sudo systemctl disable REPLACEFOSHKPLUGINSERVICE
    ;;
  restart)
    echo restarting REPLACEFOSHKPLUGINSERVICE
    sudo systemctl restart REPLACEFOSHKPLUGINSERVICE
    ;;
  daemon-reload)
    echo daemon-reload
    sudo systemctl daemon-reload
    ;;
  repair)
    echo repair REPLACEFOSHKPLUGINSERVICE
    chown -R loxberry:loxberry REPLACELBPLOGDIR/
    chmod ugo-x REPLACELBPBINDIR/foshkplugin.service
    #pip3 install --upgrade --force-reinstall requests paho-mqtt influxdb
    #pip3 install --upgrade requests paho-mqtt influxdb
    ;;
  support)
    echo support REPLACEFOSHKPLUGINSERVICE
    for ((i=0;i<=20;i++)); do
      echo
    done
    echo please copy the output between the "=" lines
    echo ================================================================================
    ls -lahR REPLACELBHOMEDIR/*/plugins/REPLACEFOSHKPLUGINSERVICE
    echo --------------------------------------------------------------------------------
    cat REPLACELBPCONFIGDIR/foshkplugin.conf
    echo --------------------------------------------------------------------------------
    sudo systemctl --no-pager status REPLACEFOSHKPLUGINSERVICE -l
    echo --------------------------------------------------------------------------------
    sudo journalctl --no-pager -b|grep -e REPLACEFOSHKPLUGINSERVICE -e systemd|tail -300
    echo --------------------------------------------------------------------------------
    sudo cat /etc/systemd/system/REPLACEFOSHKPLUGINSERVICE*
    echo --------------------------------------------------------------------------------
    sudo cat /etc/environment
    echo --------------------------------------------------------------------------------
    sudo cat REPLACELBHOMEDIR/data/system/plugindatabase.json
    echo --------------------------------------------------------------------------------
    sudo tail -300 REPLACELBHOMEDIR/log/system_tmpfs/apache2/error.log
    echo ================================================================================
    echo please copy the output between the "=" lines
    ;;
  supzip)
    echo support REPLACEFOSHKPLUGINSERVICE
    zip=REPLACELBHOMEDIR/config/plugins/REPLACEFOSHKPLUGINSERVICE/REPLACEFOSHKPLUGINSERVICE-support.zip
    echo we create a file $zip
    ls -lahR REPLACELBHOMEDIR/*/plugins/REPLACEFOSHKPLUGINSERVICE >/tmp//REPLACEFOSHKPLUGINSERVICE.dir
    cat REPLACELBPCONFIGDIR/foshkplugin.conf >/tmp/REPLACEFOSHKPLUGINSERVICE.conf
    sudo systemctl --no-pager status REPLACEFOSHKPLUGINSERVICE -l >/tmp/REPLACEFOSHKPLUGINSERVICE.state
    sudo journalctl --no-pager -b|grep -e REPLACEFOSHKPLUGINSERVICE -e systemd >/tmp/REPLACEFOSHKPLUGINSERVICE.journal
    sudo cat /etc/systemd/system/REPLACEFOSHKPLUGINSERVICE* >/tmp/REPLACEFOSHKPLUGINSERVICE.systemd
    sudo cat /etc/environment >/tmp/REPLACEFOSHKPLUGINSERVICE.environment
    sudo cat REPLACELBHOMEDIR/data/system/plugindatabase.json >/tmp/REPLACEFOSHKPLUGINSERVICE.plugins
    sudo cat REPLACELBHOMEDIR/log/system_tmpfs/apache2/error.log >/tmp/REPLACEFOSHKPLUGINSERVICE.apache
    sudo zip -j REPLACELBPCONFIGDIR/REPLACEFOSHKPLUGINSERVICE-support.zip /tmp/REPLACEFOSHKPLUGINSERVICE*
    echo "done, please send me the file \\\\`hostname`\\loxberry\\log\\plugins\\REPLACEFOSHKPLUGINSERVICE\\REPLACEFOSHKPLUGINSERVICE-support.zip"
    ;;
  *)
    echo don\'t know what to do\:
    echo params are start stop restart daemon-reload repair support and supzip
    ;;
esac
