#!/bin/sh

ARGV0=$0 # Zero argument is shell command
ARGV1=$1 # First argument is temp folder during install
ARGV2=$2 # Second argument is Plugin-Name for scipts etc.
ARGV3=$3 # Third argument is Plugin installation folder
ARGV4=$4 # Forth argument is Plugin version
ARGV5=$5 # Fifth argument is Base folder of LoxBerry

echo "<INFO> Copy back existing config files"
cp -v -r /tmp/uploads/$ARGV1\_upgrade/config/$ARGV3/* $ARGV5/config/plugins/$ARGV3/ 

#echo "<INFO> Adding new config parameters"
#grep -q -F "LOCALTIME=" $ARGV5/config/plugins/$ARGV3/foshkplugin.conf || echo "LOCALTIME=0" >> $ARGV5/config/plugins/$ARGV3/foshkplugin.conf 

echo "<INFO> Copy back existing log files"
cp -v -r /tmp/uploads/$ARGV1\_upgrade/log/$ARGV3/* $ARGV5/log/plugins/$ARGV3/ 

echo "<INFO> Remove temporary folders"
rm -r /tmp/uploads/$ARGV1\_upgrade

#/bin/sed -i "s#REPLACEBYBASEFOLDER#$ARGV5#" $ARGV5/data/plugins/$ARGV3/foshkplugin.py
#/bin/sed -i "s#REPLACEBYBASEFOLDER#$ARGV5#" $ARGV5/config/plugins/$ARGV3/foshkplugin.conf
#/bin/sed -i "s#REPLACEBYBASEFOLDER#$ARGV5#" $ARGV5/webfrontend/cgi/plugins/$ARGV3/index.cgi

#/bin/sed -i "s#REPLACEBYSUBFOLDER#$ARGV3#" $ARGV5/data/plugins/$ARGV3/foshkplugin.py
#/bin/sed -i "s#REPLACEBYSUBFOLDER#$ARGV3#" $ARGV5/config/plugins/$ARGV3/foshkplugin.conf
#/bin/sed -i "s#REPLACEBYSUBFOLDER#$ARGV3#" $ARGV5/webfrontend/cgi/plugins/$ARGV3/index.cgi

#/bin/sed -i "s#REPLACEBYPLUGINNAME#$ARGV2#" $ARGV5/data/plugins/$ARGV3/foshkplugin.py
#/bin/sed -i "s#REPLACEBYPLUGINNAME#$ARGV2#" $ARGV5/config/plugins/$ARGV3/foshkplugin.conf
#/bin/sed -i "s#REPLACEBYPLUGINNAME#$ARGV2#" $ARGV5/webfrontend/cgi/plugins/$ARGV3/index.cgi

# ersetze den Namen des Service
echo "<INFO> replacing strings via sed"
/bin/sed -i "s#REPLACEFOSHKPLUGINSERVICE#$ARGV3#" $ARGV5/bin/plugins/$ARGV3/service.sh
/bin/sed -i "s#REPLACEFOSHKPLUGINSERVICE#$ARGV3#" $ARGV5/bin/plugins/$ARGV3/foshkplugin.service
/bin/sed -i "s#REPLACEFOSHKPLUGINSERVICE#$ARGV3#" $ARGV5/config/plugins/$ARGV3/foshkplugin.conf
/bin/sed -i "s#REPLACEFOSHKPLUGINSERVICE#$ARGV3#" $ARGV5/data/plugins/$ARGV3/foshkplugin.py

echo "<INFO> Restarting the $PSHNAME-service"
$ARGV5/bin/plugins/$ARGV3/service.sh daemon-reload
$ARGV5/bin/plugins/$ARGV3/service.sh restart

# debug
echo "<INFO> postupgrade.sh"
echo "<INFO> debug info"
echo "ARGV0; $ARGV0"
echo "ARGV1; $ARGV1"
echo "ARGV2; $ARGV2"
echo "ARGV3; $ARGV3"
echo "ARGV4; $ARGV4"
echo "ARGV5; $ARGV5"

# Exit with Status 0
exit 0
